> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Update a feature library

PATCH https://{tenant_name}.benchling.com/api/v2/feature-libraries/{feature_library_id}
Content-Type: application/json

Update a feature library. Note: Features cannot be updated from this endpoint.
Use the /features* endpoints to add or modify features.


Reference: https://docs.benchling.com/docs/api/v2/benchling-api/feature-libraries/update-feature-library

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `feature_library_id` (string, required)

### Body (application/json)

This endpoint expects a FeatureLibraryUpdate.

- `description` (string, optional) — The description for the feature library
- `name` (string, optional) — The name of the feature library

## Response

### 200

OK

- `description` (string, optional) — The description for the feature library
- `name` (string, optional) — The name of the feature library
- `createdAt` (datetime, optional) — DateTime the Feature Library was created
- `id` (string, optional) — The id of the feature library
- `modifiedAt` (datetime, optional) — DateTime the Feature Library was last modified
- `owner` (FeatureLibraryOwner, optional)
- `webURL` (string, optional) — The Benchling web UI url to view the Feature Library

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### FeatureLibraryOwner

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### Organization

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "description": "string",
  "name": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "id": "featlib_6ZVdX98t",
  "modifiedAt": "2024-01-15T09:30:00Z",
  "owner": {
    "handle": "string",
    "id": "string",
    "name": "string"
  },
  "webURL": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/feature-libraries/feature_library_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/feature-libraries/feature_library_id';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```